<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>
<% html_title t(:label_administration), t('settings.antivirus.title') %>

<%= render ::Admin::VirusScanning::IndexPageHeaderComponent.new %>

<%= styled_form_tag(
      admin_settings_virus_scanning_path,
      method: :patch,
      data: {
        'controller': 'refresh-on-form-changes',
        'refresh-on-form-changes-target': 'form',
        'refresh-on-form-changes-turbo-stream-url-value': url_for(action: 'av_form')
      }
    ) do %>
  <div class="form--field">
    <%= setting_select :antivirus_scan_mode,
                       [
                         [t(:label_disabled_uppercase), :disabled],
                         ['ClamAV (Socket)', :clamav_socket],
                         ['ClamAV (Host)', :clamav_host],
                       ],
                       container_class: '-wide',
                       data: {
                         action: 'refresh-on-form-changes#triggerTurboStream'
                       }
    %>
    <div class="form--field-instructions">
      <p><%= t('settings.antivirus.modes.description_html',
               disabled_option: t(:label_disabled_uppercase),
               socket_option: 'ClamAV (Socket)',
               host_option: 'ClamAV (Host)',
             ) %></p>
    </div>
  </div>

  <%= render partial: 'av_form', locals: { selected: Setting.antivirus_scan_mode } %>
  <%= styled_button_tag t(:button_save), class: '-primary -with-icon icon-checkmark' %>
<% end %>
